Loading...
Searching...
No Matches
mongocxx::v1::indexes::model Class Reference

`#include <mongocxx/v1/indexes.hpp>`

## Description

A description of a MongoDB index.

Supported fields include:

- keys
- options

See also
  - Indexes (MongoDB Manual)

## Public Member Functions

| model (bsoncxx::v1::document::value keys)
| Initialize with the given "keys" document.
| model (model &&other) noexcept
| Move constructor.
| model (model const &other)
| Copy constructor.
| ~model ()
| Destroy this object.
bsoncxx::v1::document::view | keys () const
| Return the current "keys" field.
model & | operator= (model &&other) noexcept
| Move assignment.
model & | operator= (model const &other)
| Copy assignment.
bsoncxx::v1::document::view | options () const
| Return the current "options" field.
| model (bsoncxx::v1::document::value keys, options const &opts)
| Initialize with the given "keys" and "options".
| model (bsoncxx::v1::document::value keys, bsoncxx::v1::document::value options)
| Initialize with the given "keys" and "options".

## Constructor & Destructor Documentation

## ~model()

mongocxx::v1::indexes::model::~model | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## model() [1/5]

mongocxx::v1::indexes::model::model | ( | model && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## model() [2/5]

mongocxx::v1::indexes::model::model | ( | model const & | other | ) |

Copy constructor.

## model() [3/5]

mongocxx::v1::indexes::model::model | ( | bsoncxx::v1::document::value | keys,
|  | options const & | opts )

inline

Initialize with the given "keys" and "options".

## model() [4/5]

mongocxx::v1::indexes::model::model | ( | bsoncxx::v1::document::value | keys,
|  | bsoncxx::v1::document::value | options )

Initialize with the given "keys" and "options".

## model() [5/5]

mongocxx::v1::indexes::model::model | ( | bsoncxx::v1::document::value | keys | ) |

Initialize with the given "keys" document.

Postconditions:
  this->options().empty() == true.

## Member Function Documentation

## keys()

bsoncxx::v1::document::view mongocxx::v1::indexes::model::keys | ( |  | ) | const

Return the current "keys" field.

## operator=() [1/2]

model & mongocxx::v1::indexes::model::operator= | ( | model && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

model & mongocxx::v1::indexes::model::operator= | ( | model const & | other | ) |

Copy assignment.

## options()

bsoncxx::v1::document::view mongocxx::v1::indexes::model::options | ( |  | ) | const

Return the current "options" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/indexes.hpp